/*
 * JBoss, the OpenSource EJB server
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb;

import javax.ejb.ActivationConfigProperty;

/**
 * // *
 *
 * @author <a href="mailto:bill@jboss.org">William DeCoste</a>
 * @version $Revision: 1.1.2.3 $
 */
public class MessageDrivenImpl implements javax.ejb.MessageDriven
{
   private String name;
   
   private ActivationConfigProperty[] activationConfigProperties = new ActivationConfigProperty[0];

   public MessageDrivenImpl(String name, ActivationConfigProperty[] activationConfigProperties)
   {
      this.name = name;
      this.activationConfigProperties = activationConfigProperties;
   }

   public ActivationConfigProperty[] activateConfig()
   {
      return activationConfigProperties;
   }

   public Class annotationType()
   {
      return javax.ejb.MessageDriven.class;
   }

   public String name()
   {
      return name;
   }
}
